Index: LMDZ6/trunk/libf/phylmdiso/ocean_cpl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/ocean_cpl_mod.F90	(revision 3939)
+++ LMDZ6/trunk/libf/phylmdiso/ocean_cpl_mod.F90	(revision 3940)
@@ -1,363 +1,1 @@
-!
-! $Id: ocean_cpl_mod.F90 3102 2017-12-03 20:27:42Z oboucher $
-!
-MODULE ocean_cpl_mod
-!
-! This module is used both for the sub-surface ocean and sea-ice for the case of a 
-! coupled model configuration, ocean=couple. 
-!
-
-  IMPLICIT NONE
-  PRIVATE
-
-  PUBLIC :: ocean_cpl_init, ocean_cpl_noice, ocean_cpl_ice
-
-
-!****************************************************************************************
-!
-CONTAINS
-!
-!****************************************************************************************
-!
-  SUBROUTINE ocean_cpl_init(dtime, rlon, rlat)
-!
-! Allocate fields for this module and initailize the module mod_cpl
-!
-    USE dimphy,           ONLY : klon
-    USE cpl_mod
-
-! Input arguments
-!*************************************************************************************
-    REAL, INTENT(IN)                  :: dtime
-    REAL, DIMENSION(klon), INTENT(IN) :: rlon, rlat
-
-! Local variables
-!*************************************************************************************
-    INTEGER              :: error
-    CHARACTER (len = 80) :: abort_message
-    CHARACTER (len = 20) :: modname = 'ocean_cpl_init'
-
-! Initialize module cpl_init
-    CALL cpl_init(dtime, rlon, rlat)
-    
-  END SUBROUTINE ocean_cpl_init
-!
-!****************************************************************************************
-!
-  SUBROUTINE ocean_cpl_noice( &
-       swnet, lwnet, alb1, &
-       windsp, fder_old, &
-       itime, dtime, knon, knindex, &
-       p1lay, cdragh, cdragq, cdragm, precip_rain, precip_snow, temp_air, spechum, &
-       AcoefH, AcoefQ, BcoefH, BcoefQ, &
-       AcoefU, AcoefV, BcoefU, BcoefV, &
-       ps, u1, v1, gustiness, &
-       radsol, snow, agesno, &
-       qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
-       tsurf_new, dflux_s, dflux_l)
-
-!
-! This subroutine treats the "open ocean", all grid points that are not entierly covered
-! by ice. The subroutine first receives fields from coupler, then some calculations at 
-! surface is done and finally it sends some fields to the coupler.
-!
-    USE dimphy,           ONLY : klon
-    USE cpl_mod
-    USE calcul_fluxs_mod
-    USE indice_sol_mod
-    USE phys_output_var_mod, ONLY : sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
-    USE cpl_mod,             ONLY : gath2cpl
-
-    INCLUDE "YOMCST.h"
-    INCLUDE "clesphys.h"
-!    
-! Input arguments  
-!****************************************************************************************
-    INTEGER, INTENT(IN)                      :: itime, knon
-    INTEGER, DIMENSION(klon), INTENT(IN)     :: knindex
-    REAL, INTENT(IN)                         :: dtime
-    REAL, DIMENSION(klon), INTENT(IN)        :: swnet
-    REAL, DIMENSION(klon), INTENT(IN)        :: lwnet
-    REAL, DIMENSION(klon), INTENT(IN)        :: alb1   ! albedo in visible SW interval
-    REAL, DIMENSION(klon), INTENT(IN)        :: windsp
-    REAL, DIMENSION(klon), INTENT(IN)        :: fder_old
-    REAL, DIMENSION(klon), INTENT(IN)        :: p1lay
-    REAL, DIMENSION(klon), INTENT(IN)        :: cdragh, cdragq, cdragm
-    REAL, DIMENSION(klon), INTENT(IN)        :: precip_rain, precip_snow
-    REAL, DIMENSION(klon), INTENT(IN)        :: temp_air, spechum
-    REAL, DIMENSION(klon), INTENT(IN)        :: AcoefH, AcoefQ, BcoefH, BcoefQ
-    REAL, DIMENSION(klon), INTENT(IN)        :: AcoefU, AcoefV, BcoefU, BcoefV
-    REAL, DIMENSION(klon), INTENT(IN)        :: ps
-    REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1, gustiness
-
-! In/Output arguments
-!****************************************************************************************
-    REAL, DIMENSION(klon), INTENT(INOUT)     :: radsol
-    REAL, DIMENSION(klon), INTENT(INOUT)     :: snow
-    REAL, DIMENSION(klon), INTENT(INOUT)     :: agesno
-  
-! Output arguments
-!****************************************************************************************
-    REAL, DIMENSION(klon), INTENT(OUT)       :: qsurf
-    REAL, DIMENSION(klon), INTENT(OUT)       :: evap, fluxsens, fluxlat
-    REAL, DIMENSION(klon), INTENT(OUT)       :: flux_u1, flux_v1
-    REAL, DIMENSION(klon), INTENT(OUT)       :: tsurf_new
-    REAL, DIMENSION(klon), INTENT(OUT)       :: dflux_s, dflux_l      
-  
-
-! Local variables
-!****************************************************************************************
-    INTEGER               :: i, j
-    INTEGER, DIMENSION(1) :: iloc
-    REAL, DIMENSION(klon) :: cal, beta, dif_grnd
-    REAL, DIMENSION(klon) :: fder_new
-    REAL, DIMENSION(klon) :: tsurf_cpl
-    REAL, DIMENSION(klon) :: u0_cpl, v0_cpl
-    REAL, DIMENSION(klon) :: u1_lay, v1_lay
-    LOGICAL               :: check=.FALSE.
-    REAL, DIMENSION(klon) :: sens_prec_liq, sens_prec_sol    
-    REAL, DIMENSION(klon) :: lat_prec_liq, lat_prec_sol    
-
-! End definitions
-!****************************************************************************************
-
-    IF (check) WRITE(*,*)' Entering ocean_cpl_noice'
-
-!****************************************************************************************
-! Receive sea-surface temperature(tsurf_cpl) from coupler
-!
-!****************************************************************************************
-    CALL cpl_receive_ocean_fields(knon, knindex, tsurf_cpl, u0_cpl, v0_cpl)
-
-!****************************************************************************************
-! Calculate fluxes at surface
-!
-!****************************************************************************************
-    cal = 0.
-    beta = 1.
-    dif_grnd = 0.
-    agesno(:) = 0.
-    sens_prec_liq = 0.; sens_prec_sol = 0.; lat_prec_liq = 0.; lat_prec_sol = 0.
-    
-
-    DO i = 1, knon
-       u1_lay(i) = u1(i) - u0_cpl(i)
-       v1_lay(i) = v1(i) - v0_cpl(i)
-    END DO
-
-    CALL calcul_fluxs(knon, is_oce, dtime, &
-         tsurf_cpl, p1lay, cal, beta, cdragh, cdragq, ps, &
-         precip_rain, precip_snow, snow, qsurf,  &
-         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
-         f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
-         tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l, &
-         sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol)
-    do j = 1, knon
-      i = knindex(j)
-      sens_prec_liq_o(i,1) = sens_prec_liq(j)
-      sens_prec_sol_o(i,1) = sens_prec_sol(j)
-      lat_prec_liq_o(i,1) = lat_prec_liq(j)
-      lat_prec_sol_o(i,1) = lat_prec_sol(j)
-    enddo
-
-
-    
-! - Flux calculation at first modele level for U and V
-    CALL calcul_flux_wind(knon, dtime, &
-         u0_cpl, v0_cpl, u1, v1, gustiness, cdragm, &
-         AcoefU, AcoefV, BcoefU, BcoefV, &
-         p1lay, temp_air, &
-         flux_u1, flux_v1)  
-
-!****************************************************************************************
-! Calculate fder : flux derivative (sensible and latente)
-!
-!****************************************************************************************
-    fder_new(:) = fder_old(:) + dflux_s(:) + dflux_l(:)
-    
-    iloc = MAXLOC(fder_new(1:klon))
-    IF (check .AND. fder_new(iloc(1))> 0.) THEN
-       WRITE(*,*)'**** Debug fder****'
-       WRITE(*,*)'max fder(',iloc(1),') = ',fder_new(iloc(1))
-       WRITE(*,*)'fder_old, dflux_s, dflux_l',fder_old(iloc(1)), &
-            dflux_s(iloc(1)), dflux_l(iloc(1))
-    ENDIF
-
-!****************************************************************************************
-! Send and cumulate fields to the coupler
-!
-!****************************************************************************************
-
-    CALL cpl_send_ocean_fields(itime, knon, knindex, &
-         swnet, lwnet, fluxlat, fluxsens, &
-         precip_rain, precip_snow, evap, tsurf_new, fder_new, alb1, flux_u1, flux_v1, windsp,&
-         sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol)
-    
-
-  END SUBROUTINE ocean_cpl_noice
-!
-!****************************************************************************************
-!
-  SUBROUTINE ocean_cpl_ice( &
-       rlon, rlat, swnet, lwnet, alb1, &
-       fder_old, &
-       itime, dtime, knon, knindex, &
-       lafin, &
-       p1lay, cdragh, cdragm, precip_rain, precip_snow, temp_air, spechum, &
-       AcoefH, AcoefQ, BcoefH, BcoefQ, &
-       AcoefU, AcoefV, BcoefU, BcoefV, &
-       ps, u1, v1, gustiness, pctsrf, &
-       radsol, snow, qsurf, &
-       alb1_new, alb2_new, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
-       tsurf_new, dflux_s, dflux_l)
-!
-! This subroutine treats the ocean where there is ice. The subroutine first receives 
-! fields from coupler, then some calculations at surface is done and finally sends 
-! some fields to the coupler.
-!    
-    USE dimphy,           ONLY : klon
-    USE cpl_mod
-    USE calcul_fluxs_mod
-    USE indice_sol_mod
-    USE phys_output_var_mod, ONLY : sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
-
-    INCLUDE "YOMCST.h"
-    INCLUDE "clesphys.h"
-
-! Input arguments
-!****************************************************************************************
-    INTEGER, INTENT(IN)                      :: itime, knon
-    INTEGER, DIMENSION(klon), INTENT(IN)     :: knindex
-    LOGICAL, INTENT(IN)                      :: lafin
-    REAL, INTENT(IN)                         :: dtime
-    REAL, DIMENSION(klon), INTENT(IN)        :: rlon, rlat
-    REAL, DIMENSION(klon), INTENT(IN)        :: swnet
-    REAL, DIMENSION(klon), INTENT(IN)        :: lwnet
-    REAL, DIMENSION(klon), INTENT(IN)        :: alb1   ! albedo in visible SW interval
-    REAL, DIMENSION(klon), INTENT(IN)        :: fder_old
-    REAL, DIMENSION(klon), INTENT(IN)        :: p1lay
-    REAL, DIMENSION(klon), INTENT(IN)        :: cdragh, cdragm
-    REAL, DIMENSION(klon), INTENT(IN)        :: precip_rain, precip_snow
-    REAL, DIMENSION(klon), INTENT(IN)        :: temp_air, spechum
-    REAL, DIMENSION(klon), INTENT(IN)        :: AcoefH, AcoefQ, BcoefH, BcoefQ
-    REAL, DIMENSION(klon), INTENT(IN)        :: AcoefU, AcoefV, BcoefU, BcoefV
-    REAL, DIMENSION(klon), INTENT(IN)        :: ps
-    REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1, gustiness
-    REAL, DIMENSION(klon,nbsrf), INTENT(IN)  :: pctsrf
-
-! In/output arguments
-!****************************************************************************************
-    REAL, DIMENSION(klon), INTENT(INOUT)     :: radsol
-    REAL, DIMENSION(klon), INTENT(INOUT)     :: snow
-
-! Output arguments
-!****************************************************************************************
-    REAL, DIMENSION(klon), INTENT(OUT)       :: qsurf
-    REAL, DIMENSION(klon), INTENT(OUT)       :: alb1_new, alb2_new
-    REAL, DIMENSION(klon), INTENT(OUT)       :: evap, fluxsens, fluxlat
-    REAL, DIMENSION(klon), INTENT(OUT)       :: flux_u1, flux_v1
-    REAL, DIMENSION(klon), INTENT(OUT)       :: tsurf_new
-    REAL, DIMENSION(klon), INTENT(OUT)       :: dflux_s, dflux_l      
-  
-
-! Local variables
-!****************************************************************************************
-    INTEGER                 :: i, j
-    INTEGER, DIMENSION(1)   :: iloc
-    LOGICAL                 :: check=.FALSE.
-    REAL, PARAMETER         :: t_grnd=271.35
-    REAL, DIMENSION(klon)   :: cal, beta, dif_grnd
-    REAL, DIMENSION(klon)   :: tsurf_cpl, fder_new
-    REAL, DIMENSION(klon)   :: alb_cpl
-    REAL, DIMENSION(klon)   :: u0, v0
-    REAL, DIMENSION(klon)   :: u1_lay, v1_lay
-    REAL, DIMENSION(klon) :: sens_prec_liq, sens_prec_sol    
-    REAL, DIMENSION(klon) :: lat_prec_liq, lat_prec_sol    
-
-! End definitions
-!****************************************************************************************
-    
-    IF (check) WRITE(*,*)'Entering surface_seaice, knon=',knon 
-
-    sens_prec_liq = 0.; sens_prec_sol = 0.; lat_prec_liq = 0.; lat_prec_sol = 0.
-
-!****************************************************************************************
-! Receive ocean temperature(tsurf_cpl) and albedo(alb_new) from coupler
-!
-!****************************************************************************************
-
-    CALL cpl_receive_seaice_fields(knon, knindex, &
-         tsurf_cpl, alb_cpl, u0, v0)
-
-    alb1_new(1:knon) = alb_cpl(1:knon)
-    alb2_new(1:knon) = alb_cpl(1:knon)    
-
-    
-!****************************************************************************************
-! Calculate fluxes at surface
-!
-!****************************************************************************************
-    cal = 0.
-    dif_grnd = 0.
-    beta = 1.0
-    
-    DO i = 1, knon
-       u1_lay(i) = u1(i) - u0(i)
-       v1_lay(i) = v1(i) - v0(i)
-    END DO
-
-    CALL calcul_fluxs(knon, is_sic, dtime, &
-         tsurf_cpl, p1lay, cal, beta, cdragh, cdragh, ps, &
-         precip_rain, precip_snow, snow, qsurf,  &
-         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
-         f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
-         tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l, &
-         sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol)
-    do j = 1, knon
-      i = knindex(j)
-      sens_prec_liq_o(i,2) = sens_prec_liq(j)
-      sens_prec_sol_o(i,2) = sens_prec_sol(j)
-      lat_prec_liq_o(i,2) = lat_prec_liq(j)
-      lat_prec_sol_o(i,2) = lat_prec_sol(j)
-    enddo
-
-
-! - Flux calculation at first modele level for U and V
-    CALL calcul_flux_wind(knon, dtime, &
-         u0, v0, u1, v1, gustiness, cdragm, &
-         AcoefU, AcoefV, BcoefU, BcoefV, &
-         p1lay, temp_air, &
-         flux_u1, flux_v1)  
-
-!****************************************************************************************
-! Calculate fder : flux derivative (sensible and latente)
-!
-!****************************************************************************************
-    fder_new(:) = fder_old(:) + dflux_s(:) + dflux_l(:)
-    
-    iloc = MAXLOC(fder_new(1:klon))
-    IF (check .AND. fder_new(iloc(1))> 0.) THEN
-       WRITE(*,*)'**** Debug fder ****'
-       WRITE(*,*)'max fder(',iloc(1),') = ',fder_new(iloc(1))
-       WRITE(*,*)'fder_old, dflux_s, dflux_l',fder_old(iloc(1)), &
-            dflux_s(iloc(1)), dflux_l(iloc(1))
-    ENDIF
-
-!****************************************************************************************
-! Send and cumulate fields to the coupler
-!
-!****************************************************************************************
-
-    CALL cpl_send_seaice_fields(itime, dtime, knon, knindex, &
-       pctsrf, lafin, rlon, rlat, &
-       swnet, lwnet, fluxlat, fluxsens, &
-       precip_rain, precip_snow, evap, tsurf_new, fder_new, alb1, flux_u1, flux_v1,&
-       sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol)
-
- 
-
-  END SUBROUTINE ocean_cpl_ice
-!  
-!****************************************************************************************
-!
-END MODULE ocean_cpl_mod
+link ../phylmd/ocean_cpl_mod.F90
Index: LMDZ6/trunk/libf/phylmdiso/ocean_forced_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/ocean_forced_mod.F90	(revision 3939)
+++ LMDZ6/trunk/libf/phylmdiso/ocean_forced_mod.F90	(revision 3940)
@@ -19,8 +19,8 @@
        AcoefH, AcoefQ, BcoefH, BcoefQ, &
        AcoefU, AcoefV, BcoefU, BcoefV, &
-       ps, u1, v1, gustiness, &
+       ps, u1, v1, gustiness, tsurf_in, &
        radsol, snow, agesno, & 
        qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
-       tsurf_new, dflux_s, dflux_l &
+       tsurf_new, dflux_s, dflux_l, sens_prec_liq, rhoa &
 #ifdef ISO
             ,xtprecip_rain, xtprecip_snow, xtspechum,Roce,rlat, &
@@ -40,4 +40,5 @@
     USE indice_sol_mod
     USE phys_output_var_mod, ONLY : sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
+    use config_ocean_skin_m, only: activate_ocean_skin
 #ifdef ISO
   USE infotrac_phy, ONLY: ntraciso,niso
@@ -53,5 +54,5 @@
     INCLUDE "YOMCST.h"
     INCLUDE "clesphys.h"
-
+    INCLUDE "flux_arp.h"
 
 ! Input arguments
@@ -68,4 +69,7 @@
     REAL, DIMENSION(klon), INTENT(IN)        :: ps
     REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1, gustiness
+    REAL, DIMENSION(klon), INTENT(IN)        :: tsurf_in
+    real, intent(in):: rhoa(:) ! (knon) density of moist air  (kg / m3)
+
 #ifdef ISO
     REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtprecip_rain, xtprecip_snow
@@ -91,4 +95,6 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: tsurf_new
     REAL, DIMENSION(klon), INTENT(OUT)       :: dflux_s, dflux_l
+    REAL, intent(out):: sens_prec_liq(:) ! (knon)
+
 #ifdef ISO     
     REAL, DIMENSION(ntraciso,klon), INTENT(OUT)    :: xtevap ! isotopes in evaporation flux
@@ -104,5 +110,5 @@
     REAL, DIMENSION(klon)       :: u1_lay, v1_lay
     LOGICAL                     :: check=.FALSE.
-    REAL, DIMENSION(klon) :: sens_prec_liq, sens_prec_sol    
+    REAL sens_prec_sol(knon) 
     REAL, DIMENSION(klon) :: lat_prec_liq, lat_prec_sol    
 
@@ -139,9 +145,10 @@
 !!jyg    if (knon.eq.1) then ! single-column model
     if (klon_glo.eq.1) then ! single-column model
-      CALL read_tsurf1d(knon,tsurf_lim) ! new
-#ifdef ISO
-      write(*,*) 'ocean_forced_mod 143: isotopes pas prévus ici'
-      stop
-#endif
+      ! EV: now surface Tin flux_arp.h
+      !CALL read_tsurf1d(knon,tsurf_lim) ! new
+       DO i = 1, knon
+        tsurf_lim(i) = tg
+       ENDDO
+
     else ! GCM
       CALL limit_read_sst(knon,knindex,tsurf_lim &
@@ -159,10 +166,18 @@
 !****************************************************************************************
 ! Set some variables for calcul_fluxs
-    cal = 0.
-    beta = 1.
-    dif_grnd = 0.
+    !cal = 0.
+    !beta = 1.
+    !dif_grnd = 0.
+    
+    
+    ! EV: use calbeta to calculate beta
+    ! Need to initialize qsurf for calbeta but it is not modified by this routine
+    qsurf(:)=0.
+    CALL calbeta(dtime, is_oce, knon, snow, qsurf, beta, cal, dif_grnd)
+
+
     alb_neig(:) = 0.
     agesno(:) = 0.
-    sens_prec_liq = 0.; sens_prec_sol = 0.; lat_prec_liq = 0.; lat_prec_sol = 0.
+    lat_prec_liq = 0.; lat_prec_sol = 0.
 
 ! Suppose zero surface speed
@@ -174,10 +189,12 @@
 ! Calcul de tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l and qsurf
     CALL calcul_fluxs(knon, is_oce, dtime, &
-         tsurf_lim, p1lay, cal, beta, cdragh, cdragq, ps, &
+         merge(tsurf_in, tsurf_lim, activate_ocean_skin == 2), p1lay, cal, &
+         beta, cdragh, cdragq, ps, &
          precip_rain, precip_snow, snow, qsurf,  &
          radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
          f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l, &
-         sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol)
+         sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol, rhoa)
+    if (activate_ocean_skin == 2) tsurf_new = tsurf_lim
 
     do j = 1, knon
@@ -233,5 +250,5 @@
        radsol, snow, qsol, agesno, tsoil, &
        qsurf, alb1_new, alb2_new, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
-       tsurf_new, dflux_s, dflux_l &
+       tsurf_new, dflux_s, dflux_l, rhoa &
 #ifdef ISO
             ,xtprecip_rain, xtprecip_snow, xtspechum,Roce, &
@@ -262,8 +279,9 @@
 #endif
 
-!    INCLUDE "indicesol.h"
+!   INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
     INCLUDE "clesphys.h"
+    INCLUDE "flux_arp.h"
 
 ! Input arguments
@@ -281,4 +299,5 @@
     REAL, DIMENSION(klon), INTENT(IN)    :: ps
     REAL, DIMENSION(klon), INTENT(IN)    :: u1, v1, gustiness
+    real, intent(in):: rhoa(:) ! (knon) density of moist air  (kg / m3)
 #ifdef ISO
     REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtprecip_rain, xtprecip_snow
@@ -323,5 +342,5 @@
     REAL, DIMENSION(klon)       :: u0, v0
     REAL, DIMENSION(klon)       :: u1_lay, v1_lay
-    REAL, DIMENSION(klon)       :: sens_prec_liq, sens_prec_sol    
+    REAL sens_prec_liq(knon), sens_prec_sol (knon)
     REAL, DIMENSION(klon)       :: lat_prec_liq, lat_prec_sol    
 
@@ -354,5 +373,5 @@
     tsurf_tmp(:) = tsurf_in(:)
 
-! calculate the parameters cal, beta, capsol and dif_grnd
+! calculate the parameters cal, beta, capsol and dif_grnd and then recalculate cal
     CALL calbeta(dtime, is_sic, knon, snow, qsol, beta, capsol, dif_grnd)
 
@@ -370,6 +389,6 @@
     ENDIF
 
-    beta = 1.0
-    sens_prec_liq = 0.; sens_prec_sol = 0.; lat_prec_liq = 0.; lat_prec_sol = 0.
+!    beta = 1.0
+    lat_prec_liq = 0.; lat_prec_sol = 0.
 
 ! Suppose zero surface speed
@@ -384,5 +403,5 @@
          f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l, &
-         sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol)
+         sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol, rhoa)
     do j = 1, knon
       i = knindex(j)
@@ -489,27 +508,26 @@
 ! 1D case
 !************************************************************************
-  SUBROUTINE read_tsurf1d(knon,sst_out)
-
+!  SUBROUTINE read_tsurf1d(knon,sst_out)
+!
 ! This subroutine specifies the surface temperature to be used in 1D simulations
-
-      USE dimphy, ONLY : klon
-
-      INTEGER, INTENT(IN)                  :: knon     ! nomber of points on compressed grid
-      REAL, DIMENSION(klon), INTENT(OUT)   :: sst_out  ! tsurf used to force the single-column model
-
-       INTEGER :: i
+!
+!      USE dimphy, ONLY : klon
+!
+!      INTEGER, INTENT(IN)                  :: knon     ! nomber of points on compressed grid
+!      REAL, DIMENSION(klon), INTENT(OUT)   :: sst_out  ! tsurf used to force the single-column model
+!
+!       INTEGER :: i
 ! COMMON defined in lmdz1d.F:
-       real ts_cur
-       common /sst_forcing/ts_cur
-
-       DO i = 1, knon
-        sst_out(i) = ts_cur
-       ENDDO
-
-      END SUBROUTINE read_tsurf1d
-
+!       real ts_cur
+!       common /sst_forcing/ts_cur
+!
+!       DO i = 1, knon
+!        sst_out(i) = ts_cur
+!       ENDDO
+!
+!      END SUBROUTINE read_tsurf1d
+!
 !
 !************************************************************************
-!
 END MODULE ocean_forced_mod
 
